#### Previous topic

scipy.interpolate.PPoly.derivative

#### Next topic

scipy.interpolate.PPoly.integrate

# scipy.interpolate.PPoly.antiderivative

`PPoly.``antiderivative`(nu=1)

  Construct a new piecewise polynomial representing the antiderivative.

  Antiderivativative is also the indefinite integral of the function, and derivative is its inverse operation.

  Parameters:

  nu : int, optional

  > Order of antiderivative to evaluate. (Default: 1) If negative, the derivative is returned.

  Returns:

  pp : PPoly

  > Piecewise polynomial of order k2 = k + n representing the antiderivative of this polynomial.

  Notes

  The antiderivative returned by this function is continuous and continuously differentiable to order n-1, up to floating point rounding error.